| Home | Libraries | People | FAQ | More

## Struct template tag

boost::intrusive::tag

## Synopsis

    // In header: <boost/intrusive/options.hpp>

    template<typename Tag>
    struct tag {
    };

## Description

This option setter specifies the type of the tag of a base hook. A type cannot have two base hooks of the same type, so a tag can be used to differentiate two base hooks with otherwise same type